{
  "name" : "网页端",
  "getAllPSAppDEUIActionGroups" : [ {
    "codeName" : "Usr0302342580",
    "name" : "实体逻辑",
    "getPSUIActionGroupDetails" : [ {
      "caption" : "实体逻辑",
      "detailType" : "DEUIACTION",
      "name" : "u6f2ebe8",
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "实体逻辑",
        "codeName" : "DeLogic",
        "fullCodeName" : "Phone_DeLogic",
        "name" : "实体逻辑",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Test"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "BACKEND",
        "uIActionTag" : "DeLogic",
        "uIActionType" : "DEUIACTION",
        "enableConfirm" : true,
        "id" : "DeLogic@Phone"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    } ],
    "uniqueTag" : "Phone__Usr0302342580"
  }, {
    "codeName" : "A183ed02abf5e2b3236",
    "name" : "卡片界面行为组",
    "getPSUIActionGroupDetails" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TEXT.*.REMOVE",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.REMOVE]",
        "refFlag" : true
      },
      "caption" : "删除",
      "detailType" : "DEUIACTION",
      "name" : "u1bdab6a",
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TEXT.*.REMOVE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.REMOVE]",
          "refFlag" : true
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.REMOVE]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.REMOVE]",
        "refFlag" : true
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TEXT.*.EDIT",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.EDIT]",
        "refFlag" : true
      },
      "caption" : "编辑",
      "detailType" : "DEUIACTION",
      "name" : "u61e08cb",
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.EDIT]",
          "refFlag" : true
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.EDIT]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.EDIT]",
        "refFlag" : true
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    } ],
    "uniqueTag" : "Book__A183ed02abf5e2b3236"
  }, {
    "codeName" : "A5361ee1e9db0542714",
    "name" : "book界面行为组",
    "getPSUIActionGroupDetails" : [ {
      "caption" : "权限删",
      "detailType" : "DEUIACTION",
      "name" : "uf83353d",
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "noPrivDisplayMode" : 1,
        "caption" : "权限删",
        "codeName" : "PermissionDelete",
        "dataAccessAction" : "DELETE",
        "frontProcessType" : "OTHER",
        "fullCodeName" : "Book_PermissionDelete",
        "name" : "权限删",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSDEOPPriv" : {
          "modelref" : true,
          "id" : "DELETE"
        },
        "timeout" : 60000,
        "uIActionMode" : "FRONT",
        "uIActionTag" : "PermissionDelete",
        "uIActionType" : "DEUIACTION",
        "id" : "PermissionDelete@Book"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "权限统一资源",
      "detailType" : "DEUIACTION",
      "name" : "u6408043",
      "getPSUIAction" : {
        "actionTarget" : "SINGLEDATA",
        "caption" : "权限统一资源",
        "codeName" : "PermissionRes",
        "dataAccessAction" : "SRFUR__MODULE_ONE",
        "frontProcessType" : "OTHER",
        "fullCodeName" : "Book_PermissionRes",
        "name" : "权限统一资源",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSDEOPPriv" : {
          "modelref" : true,
          "id" : "SRFUR__MODULE_ONE"
        },
        "timeout" : 60000,
        "uIActionMode" : "FRONT",
        "uIActionTag" : "PermissionRes",
        "uIActionType" : "DEUIACTION",
        "id" : "PermissionRes@Book"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "权限改",
      "detailType" : "DEUIACTION",
      "name" : "u1970319",
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "权限改",
        "codeName" : "PermissionUpdate",
        "dataAccessAction" : "UPDATE",
        "frontProcessType" : "OTHER",
        "fullCodeName" : "Book_PermissionUpdate",
        "name" : "权限改",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSDEOPPriv" : {
          "modelref" : true,
          "id" : "UPDATE"
        },
        "timeout" : 60000,
        "uIActionMode" : "FRONT",
        "uIActionTag" : "PermissionUpdate",
        "uIActionType" : "DEUIACTION",
        "id" : "PermissionUpdate@Book"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    } ],
    "uniqueTag" : "Book__A5361ee1e9db0542714"
  }, {
    "codeName" : "A046596b6afb50f9e5b",
    "name" : "操作列",
    "getPSUIActionGroupDetails" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TEXT.*.EDIT",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.EDIT]",
        "refFlag" : true
      },
      "caption" : "编辑",
      "detailType" : "DEUIACTION",
      "name" : "u479f517",
      "getPSSysImage" : {
        "imagePath" : "view/caption.svg"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.EDIT]",
          "refFlag" : true
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.EDIT]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.EDIT]",
        "refFlag" : true
      },
      "addSeparator" : true,
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "行编辑",
      "detailType" : "DEUIACTION",
      "name" : "ua98d563",
      "getPSUIAction" : {
        "caption" : "行编辑",
        "codeName" : "ToggleRowEdit",
        "fullCodeName" : "ToggleRowEdit",
        "name" : "表格界面_行编辑开关操作",
        "getPSSysImage" : {
          "glyph" : "xf0ce@FontAwesome",
          "cssClass" : "fa fa-table"
        },
        "predefinedType" : "GRIDVIEW_ROWEDITACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "ToggleRowEdit",
        "uIActionType" : "DEUIACTION",
        "enableToggleMode" : true
      },
      "addSeparator" : true,
      "showCaption" : true,
      "showIcon" : false
    } ],
    "uniqueTag" : "Reginfo__A046596b6afb50f9e5b"
  }, {
    "codeName" : "A4769aa6553487b2c4f",
    "name" : "工具栏额外",
    "getPSUIActionGroupDetails" : [ {
      "caption" : "选项操作",
      "detailType" : "DEUIACTION",
      "name" : "u0be1a1f",
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "选项操作",
        "codeName" : "openOpt",
        "getFrontPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoOptionView.json",
          "viewType" : "DEOPTVIEW"
        },
        "frontProcessType" : "WIZARD",
        "fullCodeName" : "Reginfo_openOpt",
        "name" : "打开选项操作视图",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "FRONT",
        "uIActionTag" : "openOpt",
        "uIActionType" : "DEUIACTION",
        "id" : "openOpt@Reginfo"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    } ],
    "uniqueTag" : "Reginfo__A4769aa6553487b2c4f"
  }, {
    "codeName" : "A7a0606d18669bde043",
    "name" : "界面行为组1",
    "getPSUIActionGroupDetails" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TEXT.*.EDIT",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.EDIT]",
        "refFlag" : true
      },
      "caption" : "编辑",
      "detailType" : "DEUIACTION",
      "name" : "ub4e120f",
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.EDIT]",
          "refFlag" : true
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.EDIT]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.EDIT]",
        "refFlag" : true
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    } ],
    "uniqueTag" : "Student__A7a0606d18669bde043"
  }, {
    "codeName" : "A6913ed9bd0c3e7d614",
    "name" : "界面行为组",
    "getPSUIActionGroupDetails" : [ {
      "caption" : "百度",
      "detailType" : "DEUIACTION",
      "name" : "u5ee2086",
      "getPSSysImage" : {
        "glyph" : "xf00c@FontAwesome",
        "cssClass" : "fa fa-check"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "百度",
        "codeName" : "openBaidu",
        "frontProcessType" : "OPENHTMLPAGE",
        "fullCodeName" : "openBaidu",
        "htmlPageUrl" : "https://www.baidu.com/",
        "name" : "百度",
        "timeout" : 60000,
        "uIActionMode" : "FRONT",
        "uIActionTag" : "openBaidu",
        "uIActionType" : "DEUIACTION"
      },
      "addSeparator" : true,
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TEXT.*.EDIT",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.EDIT]",
        "refFlag" : true
      },
      "caption" : "编辑",
      "detailType" : "DEUIACTION",
      "name" : "u1feafb4",
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.EDIT]",
          "refFlag" : true
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.EDIT]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.EDIT]",
        "refFlag" : true
      },
      "addSeparator" : true,
      "showCaption" : true,
      "showIcon" : false
    }, {
      "detailType" : "DEUIACTION",
      "name" : "u4c6267d",
      "getPSSysImage" : {
        "cssClass" : "fa-solid fa-delete-left"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TEXT.*.REMOVE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.REMOVE]",
          "refFlag" : true
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.REMOVE]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.REMOVE]",
        "refFlag" : true
      },
      "addSeparator" : true,
      "showCaption" : false,
      "showIcon" : true
    } ],
    "uniqueTag" : "TEST__A6913ed9bd0c3e7d614"
  }, {
    "codeName" : "Usr0613844925",
    "name" : "实体逻辑",
    "getPSUIActionGroupDetails" : [ {
      "caption" : "实体逻辑",
      "detailType" : "DEUIACTION",
      "name" : "uf6a4205",
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "实体逻辑",
        "codeName" : "deLogic",
        "fullCodeName" : "TEST_deLogic",
        "name" : "实体逻辑",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "DeLogic"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "BACKEND",
        "uIActionTag" : "deLogic",
        "uIActionType" : "DEUIACTION",
        "enableConfirm" : true,
        "id" : "deLogic@TEST"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    } ],
    "uniqueTag" : "TEST__Usr0613844925"
  }, {
    "codeName" : "Usr0614621049",
    "name" : "界面逻辑",
    "getPSUIActionGroupDetails" : [ {
      "caption" : "界面逻辑1",
      "detailType" : "DEUIACTION",
      "name" : "ucf40323",
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "界面逻辑1",
        "codeName" : "UILogic",
        "frontProcessType" : "WIZARD",
        "fullCodeName" : "TEST_UILogic",
        "name" : "界面逻辑1",
        "getPSAppDEUILogic" : {
          "modelref" : true,
          "id" : "UILogic1"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "FRONT",
        "uIActionTag" : "UILogic",
        "uIActionType" : "DEUIACTION",
        "uILogicAttachMode" : "REPLACE",
        "id" : "UILogic@TEST"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    } ],
    "uniqueTag" : "TEST__Usr0614621049"
  }, {
    "codeName" : "Usr0710265893",
    "name" : "批操作",
    "getPSUIActionGroupDetails" : [ {
      "caption" : "批删除",
      "detailType" : "DEUIACTION",
      "name" : "u7a0bbe1",
      "getPSUIAction" : {
        "actionTarget" : "MULTIDATA",
        "caption" : "批删除",
        "codeName" : "removePatch",
        "fullCodeName" : "WorkFlow_removePatch",
        "name" : "批删除",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WorkFlow.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "BACKEND",
        "uIActionTag" : "removePatch",
        "uIActionType" : "DEUIACTION",
        "enableConfirm" : true,
        "id" : "removePatch@WorkFlow"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    } ],
    "uniqueTag" : "WorkFlow__Usr0710265893"
  } ],
  "getAllPSDEDRControls" : [ {
    "codeName" : "Usr0526294161TabExpViewtabexppanel",
    "controlType" : "TABEXPPANEL",
    "name" : "tabexppanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Pay.json"
    },
    "getPSControlParam" : { },
    "tabLayout" : "TOP",
    "uniqueTag" : "PayUsr0526294161TabExpView__tabexppanel",
    "modelid" : "27693E59-331F-42E8-8E6F-F2FEC20DC79F_tabexppanel",
    "modeltype" : "PSTABEXPPANEL"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "editItemCaption" : "书",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "getPSDEDRTabPages" : [ {
      "caption" : "学员信息清单",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoStuInfoList.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "uniqueTag" : "bookEditView3__drtab",
    "modelid" : "fa1370490e24654b68f76899ff0a5688",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "DataRelation",
    "controlType" : "DRTAB",
    "editItemCaption" : "学员登记信息",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "uniqueTag" : "ReginfoUsr0301946956EditView3__drtab",
    "modelid" : "FED001E9-D974-45E5-B0BC-8F4FF166E061",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "TabExpViewtabexppanel",
    "controlType" : "TABEXPPANEL",
    "name" : "tabexppanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:tabviewpanel",
      "realTitle" : "书表格视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    }, {
      "name" : "EXPITEM:tabviewpanel2",
      "realTitle" : "书编辑视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSControlParam" : { },
    "getPSControls" : [ {
      "caption" : "表格视图",
      "codeName" : "TabExpViewtabviewpanel",
      "controlType" : "TABVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
        "viewType" : "DEGRIDVIEW"
      },
      "name" : "tabviewpanel",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "TABVIEWPANEL"
      },
      "modelid" : "30f5f9cf6f1f2196dced420ef3953ed2_tabviewpanel",
      "modeltype" : "PSVIEWPANEL"
    }, {
      "caption" : "表单",
      "codeName" : "TabExpViewtabviewpanel2",
      "controlType" : "TABVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "name" : "tabviewpanel2",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "TABVIEWPANEL2"
      },
      "modelid" : "30f5f9cf6f1f2196dced420ef3953ed2_tabviewpanel2",
      "modeltype" : "PSVIEWPANEL"
    } ],
    "getPSTabExpPages" : [ {
      "name" : "tabviewpanel"
    }, {
      "name" : "tabviewpanel2"
    } ],
    "tabLayout" : "TOP",
    "uniqueTag" : "bookTabExpView__tabexppanel",
    "modelid" : "30f5f9cf6f1f2196dced420ef3953ed2_tabexppanel",
    "modeltype" : "PSTABEXPPANEL"
  }, {
    "codeName" : "Default",
    "controlType" : "DRBAR",
    "editItemCaption" : "测试实体",
    "name" : "drbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRBAR"
    },
    "getPSDEDRBarGroups" : [ {
      "caption" : "详细信息",
      "name" : "详细信息",
      "hidden" : false,
      "id" : "DRGroup"
    } ],
    "getPSDEDRCtrlItems" : [ {
      "caption" : "测试实体实体表格视图",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGridView.json",
        "viewType" : "DEGRIDVIEW"
      },
      "getPSDEDRBarGroup" : {
        "modelref" : true,
        "id" : "DRGroup"
      }
    } ],
    "uniqueTag" : "TESTIndexView__drbar",
    "showTitle" : true,
    "modelid" : "385f739a768b73a1e3a307bfeafb80b7",
    "modeltype" : "PSDEDRBAR"
  }, {
    "codeName" : "Default",
    "controlType" : "DRBAR",
    "editItemCaption" : "基本信息1",
    "name" : "drbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRBAR"
    },
    "getPSDEDRBarGroups" : [ {
      "caption" : "详细信息",
      "name" : "详细信息",
      "hidden" : false,
      "id" : "DRGroup"
    } ],
    "getPSDEDRCtrlItems" : [ {
      "caption" : "学员登记信息",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoGridView.json",
        "viewType" : "DEGRIDVIEW"
      },
      "getPSDEDRBarGroup" : {
        "modelref" : true,
        "id" : "DRGroup"
      },
      "getPSNavigateContexts" : [ {
        "key" : "CONTEXTPARAM2",
        "name" : "CONTEXTPARAM2",
        "value" : "eeeee",
        "rawValue" : true
      }, {
        "key" : "CONTEXTPARAM1",
        "name" : "CONTEXTPARAM1",
        "value" : "student",
        "rawValue" : false
      } ],
      "getPSNavigateParams" : [ {
        "key" : "query",
        "name" : "query",
        "value" : "xx",
        "rawValue" : true
      }, {
        "key" : "param1",
        "name" : "param1",
        "value" : "studentname",
        "rawValue" : false
      } ]
    }, {
      "caption" : "手机",
      "name" : "dritem2",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneEditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "getPSDEDRBarGroup" : {
        "modelref" : true,
        "id" : "DRGroup"
      }
    } ],
    "uniqueTag" : "studentEditView2__drbar",
    "showTitle" : true,
    "modelid" : "7b274ffd3d6bd73ac39b79b9d869f6a4",
    "modeltype" : "PSDEDRBAR"
  }, {
    "codeName" : "Usr0531044092TabExpViewtabexppanel",
    "controlType" : "TABEXPPANEL",
    "name" : "tabexppanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:tabviewpanel",
      "realTitle" : "手机树导航视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneTreeExpView.json",
        "viewType" : "DETREEEXPVIEW"
      }
    }, {
      "name" : "EXPITEM:tabviewpanel2",
      "realTitle" : "书分页导航视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookTabExpView.json",
        "viewType" : "DETABEXPVIEW"
      }
    } ],
    "getPSControlParam" : { },
    "getPSControls" : [ {
      "caption" : "分页1",
      "codeName" : "Usr0531044092TabExpViewtabviewpanel",
      "controlType" : "TABVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneTreeExpView.json",
        "viewType" : "DETREEEXPVIEW"
      },
      "name" : "tabviewpanel",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : {
        "id" : "TABVIEWPANEL"
      },
      "modelid" : "57F609C2-47CF-40C6-8853-5C7CD1B2A2CA_tabviewpanel",
      "modeltype" : "PSVIEWPANEL"
    }, {
      "caption" : "分页2",
      "codeName" : "Usr0531044092TabExpViewtabviewpanel2",
      "controlType" : "TABVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookTabExpView.json",
        "viewType" : "DETABEXPVIEW"
      },
      "name" : "tabviewpanel2",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "TABVIEWPANEL2"
      },
      "modelid" : "57F609C2-47CF-40C6-8853-5C7CD1B2A2CA_tabviewpanel2",
      "modeltype" : "PSVIEWPANEL"
    } ],
    "getPSTabExpPages" : [ {
      "name" : "tabviewpanel"
    }, {
      "name" : "tabviewpanel2"
    } ],
    "tabLayout" : "TOP",
    "uniqueTag" : "phoneUsr0531044092TabExpView__tabexppanel",
    "modelid" : "57F609C2-47CF-40C6-8853-5C7CD1B2A2CA_tabexppanel",
    "modeltype" : "PSTABEXPPANEL"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "editItemCaption" : "基本信息1",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "getPSDEDRTabPages" : [ {
      "caption" : "学员登记信息",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoGridView.json",
        "viewType" : "DEGRIDVIEW"
      },
      "getPSNavigateContexts" : [ {
        "key" : "CONTEXTPARAM2",
        "name" : "CONTEXTPARAM2",
        "value" : "eeeee",
        "rawValue" : true
      }, {
        "key" : "CONTEXTPARAM1",
        "name" : "CONTEXTPARAM1",
        "value" : "student",
        "rawValue" : false
      } ],
      "getPSNavigateParams" : [ {
        "key" : "query",
        "name" : "query",
        "value" : "xx",
        "rawValue" : true
      }, {
        "key" : "param1",
        "name" : "param1",
        "value" : "studentname",
        "rawValue" : false
      } ]
    }, {
      "caption" : "手机",
      "name" : "dritem2",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "uniqueTag" : "studentEditView3__drtab",
    "modelid" : "7b274ffd3d6bd73ac39b79b9d869f6a4",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "editItemCaption" : "测试实体",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "getPSDEDRTabPages" : [ {
      "caption" : "测试实体实体表格视图",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "uniqueTag" : "TESTEditView3_modal__drtab",
    "modelid" : "385f739a768b73a1e3a307bfeafb80b7",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "DETabExpViewLayouttabexppanel",
    "controlType" : "TABEXPPANEL",
    "name" : "tabexppanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : { },
    "tabLayout" : "TOP",
    "uniqueTag" : "ViewLayoutModelRepositoryDETabExpViewLayout__tabexppanel",
    "modelid" : "90AD5126-AB10-48D1-9975-3842A919201D_tabexppanel",
    "modeltype" : "PSTABEXPPANEL"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "getEditItemCapPSLanguageRes" : {
      "defaultContent" : "工作流",
      "lanResTag" : "DE.LNAME.WORKFLOW",
      "lanResType" : "DE.LNAME",
      "name" : "实体逻辑名称（DE.LNAME.*）[WORKFLOW]",
      "refFlag" : true
    },
    "editItemCaption" : "工作流",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WorkFlow.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "uniqueTag" : "WorkFlowWFDynaEditView3__drtab",
    "modelid" : "b60dd761bcd8ddba13ed9888b4eba79d",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "editItemCaption" : "测试实体",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "getPSDEDRTabPages" : [ {
      "caption" : "测试实体实体表格视图",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "uniqueTag" : "TESTEditView3_drawer__drtab",
    "modelid" : "385f739a768b73a1e3a307bfeafb80b7",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "editItemCaption" : "书",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "getPSDEDRTabPages" : [ {
      "caption" : "学员信息清单",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoStuInfoList.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "uniqueTag" : "bookWFDynaEditView3__drtab",
    "modelid" : "fa1370490e24654b68f76899ff0a5688",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "TabExpView9tabexppanel",
    "controlType" : "TABEXPPANEL",
    "name" : "tabexppanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:tabviewpanel",
      "realTitle" : "书表格视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    }, {
      "name" : "EXPITEM:tabviewpanel2",
      "realTitle" : "书数据视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookDataView.json",
        "viewType" : "DEDATAVIEW"
      }
    } ],
    "getPSControlParam" : { },
    "getPSControls" : [ {
      "caption" : "1111",
      "codeName" : "TabExpView9tabviewpanel",
      "controlType" : "TABVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
        "viewType" : "DEGRIDVIEW"
      },
      "name" : "tabviewpanel",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "TABVIEWPANEL"
      },
      "modelid" : "bc6790588637d4515d55f9efa7701645_tabviewpanel",
      "modeltype" : "PSVIEWPANEL"
    }, {
      "caption" : "2222",
      "codeName" : "TabExpView9tabviewpanel2",
      "controlType" : "TABVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookDataView.json",
        "viewType" : "DEDATAVIEW"
      },
      "name" : "tabviewpanel2",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "TABVIEWPANEL2"
      },
      "modelid" : "bc6790588637d4515d55f9efa7701645_tabviewpanel2",
      "modeltype" : "PSVIEWPANEL"
    } ],
    "getPSTabExpPages" : [ {
      "name" : "tabviewpanel"
    }, {
      "name" : "tabviewpanel2"
    } ],
    "tabLayout" : "TOP",
    "uniqueTag" : "bookTabExpView9__tabexppanel",
    "modelid" : "bc6790588637d4515d55f9efa7701645_tabexppanel",
    "modeltype" : "PSTABEXPPANEL"
  }, {
    "codeName" : "TabExpViewtabexppanel",
    "controlType" : "TABEXPPANEL",
    "name" : "tabexppanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:tabviewpanel",
      "parentDataJO" : {
        "srfparentdefname" : "PHONEID",
        "srfparentdename" : "PHONE",
        "srfparentmode" : "DER1N_BOOK_PHONE_PHONEID"
      },
      "realTitle" : "手机树导航视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneTreeExpView.json",
        "viewType" : "DETREEEXPVIEW"
      }
    }, {
      "name" : "EXPITEM:tabviewpanel2",
      "realTitle" : "书分页导航视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookTabExpView.json",
        "viewType" : "DETABEXPVIEW"
      }
    } ],
    "getPSControlParam" : { },
    "getPSControls" : [ {
      "caption" : "分页1",
      "codeName" : "TabExpViewtabviewpanel",
      "controlType" : "TABVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneTreeExpView.json",
        "viewType" : "DETREEEXPVIEW"
      },
      "name" : "tabviewpanel",
      "navFilter" : "test1",
      "getNavPSDER" : {
        "codeName" : "Phone",
        "dERType" : "DER1N",
        "dynaModelFilePath" : "PSMODULES/common/PSDATAENTITIES/Book/PSDERS/DER1N_BOOK_PHONE_PHONEID.json",
        "fKeyName" : "FEF1508FD80241821E",
        "logicName" : "名称",
        "getMajorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/common/PSDATAENTITIES/Phone.json"
        },
        "masterOrder" : -1,
        "masterRS" : 0,
        "minorCodeName" : "books",
        "getMinorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/common/PSDATAENTITIES/Book.json"
        },
        "name" : "DER1N_BOOK_PHONE_PHONEID",
        "orderValue" : 100,
        "getPSPickupDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        },
        "pickupDEFName" : "PHONEID",
        "removeActionType" : -1,
        "removeOrder" : 0,
        "enableFKey" : true
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : {
        "navFilter" : "test1",
        "navPSDERName" : "DER1N_BOOK_PHONE_PHONEID",
        "id" : "TABVIEWPANEL"
      },
      "parentDataJO" : {
        "srfparentdefname" : "PHONEID",
        "srfparentdename" : "PHONE",
        "srfparentmode" : "DER1N_BOOK_PHONE_PHONEID"
      },
      "modelid" : "ce6b7952d59604f041810a73b43824dc_tabviewpanel",
      "modeltype" : "PSVIEWPANEL"
    }, {
      "caption" : "分页2",
      "codeName" : "TabExpViewtabviewpanel2",
      "controlType" : "TABVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookTabExpView.json",
        "viewType" : "DETABEXPVIEW"
      },
      "name" : "tabviewpanel2",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : {
        "id" : "TABVIEWPANEL2"
      },
      "modelid" : "ce6b7952d59604f041810a73b43824dc_tabviewpanel2",
      "modeltype" : "PSVIEWPANEL"
    } ],
    "getPSTabExpPages" : [ {
      "name" : "tabviewpanel"
    }, {
      "name" : "tabviewpanel2"
    } ],
    "tabLayout" : "TOP",
    "uniqueTag" : "phoneTabExpView__tabexppanel",
    "modelid" : "ce6b7952d59604f041810a73b43824dc_tabexppanel",
    "modeltype" : "PSTABEXPPANEL"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "getEditItemCapPSLanguageRes" : {
      "defaultContent" : "工作流",
      "lanResTag" : "DE.LNAME.WORKFLOW",
      "lanResType" : "DE.LNAME",
      "name" : "实体逻辑名称（DE.LNAME.*）[WORKFLOW]",
      "refFlag" : true
    },
    "editItemCaption" : "工作流",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WorkFlow.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "uniqueTag" : "WorkFlowMobWFDynaEditView3__drtab",
    "modelid" : "b60dd761bcd8ddba13ed9888b4eba79d",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "editItemCaption" : "基本信息1",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "getPSDEDRTabPages" : [ {
      "caption" : "学员登记信息",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoGridView.json",
        "viewType" : "DEGRIDVIEW"
      },
      "getPSNavigateContexts" : [ {
        "key" : "CONTEXTPARAM2",
        "name" : "CONTEXTPARAM2",
        "value" : "eeeee",
        "rawValue" : true
      }, {
        "key" : "CONTEXTPARAM1",
        "name" : "CONTEXTPARAM1",
        "value" : "student",
        "rawValue" : false
      } ],
      "getPSNavigateParams" : [ {
        "key" : "query",
        "name" : "query",
        "value" : "xx",
        "rawValue" : true
      }, {
        "key" : "param1",
        "name" : "param1",
        "value" : "studentname",
        "rawValue" : false
      } ]
    }, {
      "caption" : "手机",
      "name" : "dritem2",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "uniqueTag" : "studentEditView4__drtab",
    "modelid" : "7b274ffd3d6bd73ac39b79b9d869f6a4",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "editItemCaption" : "测试实体",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "getPSDEDRTabPages" : [ {
      "caption" : "测试实体实体表格视图",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "uniqueTag" : "TESTEditView3__drtab",
    "modelid" : "385f739a768b73a1e3a307bfeafb80b7",
    "modeltype" : "PSDEDRTAB"
  }, {
    "codeName" : "Usr0301506644TabExpViewtabexppanel",
    "controlType" : "TABEXPPANEL",
    "name" : "tabexppanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { },
    "tabLayout" : "TOP",
    "uniqueTag" : "phoneUsr0301506644TabExpView__tabexppanel",
    "modelid" : "F573598A-968E-4B4C-9225-7CDA10935C44_tabexppanel",
    "modeltype" : "PSTABEXPPANEL"
  }, {
    "codeName" : "Default",
    "controlType" : "DRTAB",
    "editItemCaption" : "书",
    "name" : "drtab",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "drtab"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DRTAB"
    },
    "getPSDEDRTabPages" : [ {
      "caption" : "学员信息清单",
      "name" : "dritem1",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoStuInfoList.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "uniqueTag" : "bookMobWFDynaEditView3__drtab",
    "modelid" : "fa1370490e24654b68f76899ff0a5688",
    "modeltype" : "PSDEDRTAB"
  } ],
  "id" : "PSSYSAPPS/Web/PSSYSAPP.json"
}